Summary

This application can update your device software.

  • This application is compatible with both USB and network connections.
  • OS administrator privileges are required to run the application.


Update method specification window

Specifies the device update method.

[The latest version of the firmware will be downloaded from the server and updated automatically]

Implementing firmware updates can be performed from a PC that is connected to the internet.

Firmware is downloaded and updated automatically by communicating with an internet server, this is recommended.

[Specifies and updates the downloaded firmware]

Specify the firmware that was previously downloaded from the server, and update the device. To implement a data check of the specified firmware, turn ON "Perform data check", and enter the MD5 hash value, and then click the "Next" button.


Device search window

From this window, select the device to be updated using the following procedure.

(1) Search for the device
(2) Select the device to be updated from the devices that have been detected.

Use the following items to search for devices.

[Access Point]

Select the device access point.

[Start Search]

Click to start the device search. Once the search has started, click the button again to stop the search.

[Environment setting]

Click to display the dialog box for making the device and server communications settings, etc.

[Device Name List]

The list is displayed at the top of the window. The names of the detected devices is displayed. Select a device name, and the information for the device that has actually been detected is displayed in "Search Results".

One type of device name can be selected.

The details displayed in the "Latest firmware" column of the list have the following meanings.

  • Firmware found: Updatable firmware can be obtained.
  • Firmware not found: Unable to acquire update information.
  • Cannot connect to server: Server connection failed. Check your internet connection.

[Search Results]

The list is displayed at the bottom of the window. The information for the devices that were actually detected is displayed. Enable the check box for the device to be updated, and click the "Next" button.

The details displayed in the "Update" column of the list have the following meanings.

  • Applicable: Updating to the latest firmware is possible. Devices marked with an asterisk (*) means that their set values will be restored to their defaults during the update.
  • This is the latest firmware: This is the latest firmware for the device being used.
  • This firmware is newer than the specified firmware: The specified firmware is obsolete so cannot be used.
  • This is the same version as the specified firmware: The firmware version of the device being used is the same as the specified firmware.
  • Cannot acquire firmware version: Check the connection environment to the device in use.

[Select Device]

Select the device to be updated.

  • "Select all": Selects all the devices displayed in the "search results"
  • "Select all updatable": Selects all the devices that can be updated from among the devices displayed in the "search results".
  • "Cancel all selections": Cancels the selection of all the devices displayed in the "search results".


Parameter specification window

[Administrator password]

Prompts for the administrator password for the device to be updated. The same password can be used for all devices selected for update. Devices for which the administrator password has failed to be authenticated cannot be updated.

[Environment setting]

Click to display the dialog box for making the device and server communications settings, etc.

[Start update]

Starts the update.


Update implementation window

Displays the overall update flow.

[Overall progress]

Displays the overall update progress status of the firmware. When all device updates have finished, you can proceed to the next step.

[Individual progress]

Displays the progress status of the device being updated. If multiple devices are selected, the progress status of the selected devices are displayed in order.

See here for the error details displayed in the "State" column of the list.


Update results display window

The update results are displayed in a table.

Any devices for which the update has failed are displayed in the table at the bottom of the window. Enable the check box to select a device, and then click the "Retry" button to restart the update.

See here for the error details displayed in the "State" column of the list.


Environment settings dialog box

Sets the device and server communications, etc.

The "Device communications" tab settings are described below.

[Device search timeout (s)] | Specifies the timeout period for device searches in the range 10 to 60s. The default is 30s.
[Communications timeout (s)] | Specifies the communications timeout period with the device connected using a network or USB in the range 1 to 60s. The default is 10s.
[Update timeout (min)] | Specifies the timeout period when waiting for a response from the device during a firmware update in the range 1 to 60min. The default is 30min.
[Network search range] | Specifies the search range of a device connected to the network.
[SNMP community name] | Specifies the SNMP community name of a device connected to the network.

The "Server communications" tab settings are described below.

[Communications timeout (s)] | Specifies the communications timeout period with the server in the range 1 to 60s. The default is 10s.
[No. of communication retries] | Specifies the number of acquisition retries when data acquisition from the server has failed in the range 0 to 5 retries. The default is 1 retry.
[Communications retry interval (s)] | Specifies the acquisition retry interval when data acquisition from the server has failed in the range 0 to 5s. The default is 3s.

The "Error" tab settings are described below.

[Enable update error communications timeout]

Enabling this box will automatically close the error dialog box displayed when an update error has occurred.

"Timeout (s)" specifies the time until the error dialog box automatically closes in the range 0 to 60s. (The default is 10s.)

"Operations during timeout" selects the operations after the error dialog box has automatically closed.

  • "Cancel": Cancels the update for the current device, and proceeds to the update for the next device.
  • "Cancel all": Cancels the updates for all devices.
  • "Retry": Retries the update for the current device. "No. of communication retries" specifies the number of retries in the range 0 to 10. (The default is 3 times.)


An error occurred during update

The following errors may have occurred during an update. Check the error that occurred and implement the measures described in Troubleshooting.

Firmware download errors

Error Summary

The firmware download failed.

Causes and Troubleshooting

Cause | Troubleshooting
Server connection failed. | Check your internet connection environment.

Device connection errors

Error Summary

Device connection failed.

Causes and Troubleshooting

Cause | Troubleshooting
The device power is OFF. | Check that the device status is not one described on the left, and then implement the update again.
The device is not connected.
The device is in use. (Printing, copying, etc.)
An error occurred in the device. (No toner, paper jam, etc.)

Administrator password authentication error

Error Summary

The administrator password that has been entered is in incorrect.

Causes and Troubleshooting

Cause | Troubleshooting
The administrator password that has been entered is in incorrect. | Check the administrator password.

Firmware send error

Error Summary

Firmware started to be sent to the device, but an error occurred before the sending was completed.

Causes and Troubleshooting

Cause | Troubleshooting
The device power is OFF. | Check that the device status is not one described on the left, and then implement the update again. If "Executing Maintenance" is displayed in the control panel, wait until the device enters standby status before retrying.
The device is not connected.
The device is in use. (Printing, copying, etc.)
An error occurred in the device. (No toner, paper jam, etc.)

Update timeout

Error Summary

A timeout occurred during firmware update.

Causes and Troubleshooting

Cause | Troubleshooting
The device power is OFF. | Check that the device status is not one described on the left, and then implement the update again.
The device is not connected.
A communication issue occurred, and the application cannot check the device status. | If "Executing Maintenance" is displayed in the control panel, the firmware update is continuing. After restarting the device, reconnect the application, and check that the firmware update has finished normally. If "Firmware update error" is displayed in the control panel, start the firmware update without turning OFF the device power supply. If the firmware update fails again, do not turn OFF the device power supply.

Update error 1

Error Summary

The device is not in a state that can implement firmware updates.

Causes and Troubleshooting

Cause | Troubleshooting
The device is in use. (Printing, copying, etc.) | Check that the device status is not one described on the left, and then implement the update again. If "Executing Maintenance" is displayed in the control panel, wait until the device enters standby status before retrying.
An error occurred in the device. (No toner, paper jam, etc.)
A fax cable is connected to the device (with Multifunction printers). | Disconnect the fax cable from the device, and implement the update again.
The specified firmware is incorrect. | Check that the connected device and specified firmware are correct.
The specified firmware is corrupt. | Implement the update again, and turn ON "Implement data checks". Check that the specified firmware is not corrupted.

Update error 2

Error Summary

An error occurred during firmware update.

Causes and Troubleshooting

Cause | Troubleshooting
Data was lost due to a communications malfunction. | If "Firmware update error" is displayed in the control panel, start the firmware update without turning OFF the device power supply. If the firmware update fails again, do not turn OFF the device power supply.
A hardware error occurred in the device.
The specified firmware is corrupt. | If "Firmware update error" is displayed in the control panel, start the firmware update without turning OFF the device power supply. When implementing the update again, turn ON "Implement data checks", and check that the specified firmware is not corrupted.